| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
allpeerNumInfo Struct Reference

`#include <GobiVoiceMgmtAPI.h>`

## Public Attributes
BYTE | callID
BYTE | numPI
BYTE | numSI
BYTE | numType
BYTE | numPlan
BYTE | numLen
CHAR | number [MAX_CALL_NO_LEN]

## Detailed Description

This structure contains information for Connected Peer Numbers.

Parameters

  callID | Unique call identifier for the call.
  numPI | Number presentation indicator. 0x00 - PRESENTATION_ALLOWED - Allowed presentation 0x01 - PRESENTATION_RESTRICTED - Restricted presentation 0x02 - PRESENTATION_NUM_UNAVAILABLE - Unavailable presentation 0x04 - PRESENTATION_PAYPHONE - Payphone presentation (GSM/UMTS specific) 0xFF - Not Available
  numSI | Number screening indicator. 0x00 - QMI_VOICE_SI_USER_PROVIDED_NOT_SCREENED - Provided user is not screened 0x01 - QMI_VOICE_SI_USER_PROVIDED_VERIFIED_PASSED - Provided user passed verification 0x02 - QMI_VOICE_SI_USER_PROVIDED_VERIFIED_FAILED - Provided user failed verification 0x03 - QMI_VOICE_SI_NETWORK_PROVIDED - Provided network
  numType | Number type. 0x00 - QMI_VOICE_NUM_TYPE_UNKNOWN - Unknown 0x01 - QMI_VOICE_NUM_TYPE_INTERNATIONAL - International 0x02 - QMI_VOICE_NUM_TYPE_NATIONAL - National 0x03 - QMI_VOICE_NUM_TYPE_NETWORK_SPECIFIC - Network-specific 0x04 - QMI_VOICE_NUM_TYPE_SUBSCRIBER - Subscriber 0x05 - QMI_VOICE_NUM_TYPE_RESERVED - Reserved 0x06 - QMI_VOICE_NUM_TYPE_ABBREVIATED - Abbreviated 0x07 - QMI_VOICE_NUM_TYPE_RESERVED_EXTENSION - Reserved extension
  numPlan | Number plan. 0x00 - QMI_VOICE_NUM_PLAN_UNKNOWN - Unknown 0x01 - QMI_VOICE_NUM_PLAN_ISDN - ISDN 0x03 - QMI_VOICE_NUM_PLAN_DATA - Data 0x04 - QMI_VOICE_NUM_PLAN_TELEX - Telex 0x08 - QMI_VOICE_NUM_PLAN_NATIONAL - National 0x09 - QMI_VOICE_NUM_PLAN_PRIVATE - Private 0x0B - QMI_VOICE_NUM_PLAN_RESERVED_CTS - Reserved cordless telephony system 0x0F - QMI_VOICE_NUM_PLAN_RESERVED_EXTENSION - Reserved extension
  numLen | Provides the length of number which follow.
  number[MAX_CALL_NO_LEN] | number of numLen length, NULL terminated.

The documentation for this struct was generated from the following file:

- GobiVoiceMgmtAPI.h